use "~/Desktop/QJPS Replication/Table_1.dta", clear

tsset cow year
xtsum cscore

*with time effects
xtreg D.cscore i.year l.cscore, fe vce(cluster cow)

*with second lag, and time effects
xtreg D.cscore i.year l.cscore l2.cscore, fe vce(cluster cow)

tab year, gen(yr)
*with bond estimate, with year effects
xtdpdsys cscore yr1-yr222, lags(1) maxldep(9)

*coef - 1 for decay (lambda) in the table 
display .915081 - 1
