#How many questions for each section?
#general - 23
#amending - 21
#executive - 194
#legislature - 94
#judiciary - 37
#federalism - 10
#elections - 32
#regulatory bodies - 3
#international - 19
#criminal procedures - 16
#rights - 124
#special issues - 22

y <- c(23, 21, 194, 94, 37, 10, 32, 3, 19, 16, 124, 22)
x <- 1:12

par(mar = c(10, 4, 4, 2))
plot(x, y, lend = 2, lwd = 0, axes = F, main = "Number of Features by Category", xlab = "", ylab = "")
segments(x0 = x, x1 = x, y0 = 0, y1 = y, lwd = 30, lend = 1)
axis(1, at = x, labels = c("General", "Amending", "Executive", "Legislature", "Judiciary", "Federalism", "Elections", "Regulatory Bodies", "International", "Criminal Procedures", "Rights", "Special Issues"), las = 2)
axis(2, at = seq(0, 200, 50), las = 2)
box()
